Summary: A graphical tool to search DNS for answers
Name: lookup
Version: 1.12
Release: 2%{?dist}
License: BSD
Group: Applications/Internet
URL: http://www.dnssec-tools.org/
Source0: https://www.dnssec-tools.org/download/%{name}-%{version}.tar.gz
Source1: COPYING-from-dnssec-tools.txt
Source2: lookup.desktop
Patch0:  lookup-1.11.p2-dont-double-install.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: qt-devel
BuildRequires: dnssec-tools-libs-devel >= 1.12.1
BuildRequires: openssl-devel
BuildRequires: desktop-file-utils

%description
The lookup utility allows you to query the DNS for answers.  It
displays the results in a graphical tree structure, and checks the
answers for validity and conformance with DNSSEC.  The results are
color coded based on their DNSSEC status.

%prep
%setup -q 
%patch0 -p1

%build
qmake-qt4 PREFIX=/usr
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make install INSTALL_ROOT=%{buildroot}

%{__rm} -f %{buildroot}%{_datadir}/pixmap/lookup.xpm
%{__mkdir_p} %{buildroot}/%{_datadir}/icons/hicolor/64x64/apps/
%{__install} -p -m 644 data/64x64/lookup.png %{buildroot}/%{_datadir}/icons/hicolor/64x64/apps/

%{__rm} -f %{buildroot}%{_datadir}/applications/hildon/lookup.desktop
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE2}

%{__mkdir_p} %{buildroot}/%{_mandir}/man1
%{__install} -p -D -m 644 man/lookup.1 %{buildroot}/%{_mandir}/man1/lookup.1

%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_datadir}/icons/hicolor &> /dev/null
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :

%files
%defattr(-,root,root,-)
%doc COPYING
%doc %{_mandir}/man1/*
%{_bindir}/lookup
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/applications/lookup.desktop

%changelog
* Tue Jan 31 2012 Wes Hardaker <wjhns174@hardakers.net> - 1.12-1
- Upgraded to version 1.12

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11.p2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Oct 28 2011 Wes Hardaker <wjhns174@hardakers.net> - 1.11.p2-2
- don't double-install the binary

* Thu Oct 27 2011 Wes Hardaker <wjhns174@hardakers.net> - 1.11.p2-1
- updated to upstream version with man page and COPYING file

* Fri Oct 21 2011 Wes Hardaker <wjhns174@hardakers.net> - 1.11-3
- don't require dnssec-tools-libs; it's auto-required

* Fri Oct 21 2011 Wes Hardaker <wjhns174@hardakers.net> - 1.11-2
- added a patch to fix the validator-config.h file path

* Fri Oct 21 2011 Wes Hardaker <wjhns174@hardakers.net> - 1.11-1
- Initial version for approval


